Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(revision 83)
@@ -0,0 +1,599 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 発注者登録申請データＤＢアクセス
+    /// </summary>
+    public class IOCostomerRegist : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 発注者登録申請データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            PersonCode = 0,
+            CreateDate,
+            SeqNo,
+            DataMode,
+            SourceCotegory,
+            SourceCode,
+            PetitionPeriod,
+            OrderFlg,
+            CorporateStatusName,
+            CorporateStatusPoint,
+            OrderersName1,
+            OrderersName2,
+            DepartmentName,
+            ChargePersonName,
+            ZipCode,
+            Address1,
+            Address2,
+            Address3,
+            PhoneNumber,
+            FaxNumber,
+            MailAddress,
+            Note,
+            OrderCotegory,
+            OrderDate,
+            OrderNo,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOCostomerRegist()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 発注者登録申請データ検索SQL作成
+        /// <summary>
+        /// 発注者登録申請データ検索作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+            strcmd += "  PersonCode";
+            strcmd += " ,DATE_FORMAT(CreateDate, '%Y/%m/%d')";
+            strcmd += " ,SeqNo";
+
+            strcmd += " ,DataMode";
+            strcmd += " ,SourceCotegory";
+            strcmd += " ,SourceCode";
+            strcmd += " ,PetitionPeriod";
+            strcmd += " ,OrderFlg";
+            strcmd += " ,CorporateStatusName";
+            strcmd += " ,CorporateStatusPoint";
+            strcmd += " ,OrderersName1";
+            strcmd += " ,OrderersName2";
+            strcmd += " ,DepartmentName";
+            strcmd += " ,ChargePersonName";
+            strcmd += " ,ZipCode";
+            strcmd += " ,Address1";
+            strcmd += " ,Address2";
+            strcmd += " ,Address3";
+            strcmd += " ,PhoneNumber";
+            strcmd += " ,FaxNumber";
+            strcmd += " ,MailAddress";
+            strcmd += " ,Note";
+            strcmd += " ,OrderCotegory";
+            strcmd += " ,DATE_FORMAT(OrderDate, '%Y/%m/%d')";
+            strcmd += " ,OrderNo";
+
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM CostomerRegist";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 発注者登録申請データ検索（複数）
+        /// <summary>
+        /// 発注者登録申請データ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<CostomerRegist> data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    CostomerRegist work = new CostomerRegist();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ検索（1件）
+        /// <summary>
+        /// 発注者登録申請データ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref CostomerRegist data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ追加（1件）
+        /// <summary>
+        /// 発注者登録申請データ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(CostomerRegist work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO CostomerRegist";
+                strcmd += " (";
+
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", work.PersonCode);
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
+                strcmd += string.Format(", {0}", work.SeqNo);
+                strcmd += string.Format(", {0}", work.DataMode);
+                strcmd += string.Format(", {0}", work.SourceCotegory);
+                strcmd += string.Format(", {0}", work.SourceCode);
+                strcmd += string.Format(", {0}", work.PetitionPeriod);
+                strcmd += string.Format(", {0}", work.OrderFlg);
+                strcmd += string.Format(", '{0}'", work.CorporateStatusName);
+                strcmd += string.Format(", {0}", work.CorporateStatusPoint);
+                strcmd += string.Format(", '{0}'", work.OrderersName1);
+                strcmd += string.Format(", '{0}'", work.OrderersName2);
+                strcmd += string.Format(", '{0}'", work.DepartmentName);
+                strcmd += string.Format(", '{0}'", work.ChargePersonName);
+                strcmd += string.Format(", '{0}'", work.ZipCode);
+                strcmd += string.Format(", '{0}'", work.Address1);
+                strcmd += string.Format(", '{0}'", work.Address2);
+                strcmd += string.Format(", '{0}'", work.Address3);
+                strcmd += string.Format(", '{0}'", work.PhoneNumber);
+                strcmd += string.Format(", '{0}'", work.FaxNumber);
+                strcmd += string.Format(", '{0}'", work.MailAddress);
+                strcmd += string.Format(", '{0}'", work.Note);
+                strcmd += string.Format(", {0}", work.OrderCotegory);
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.OrderDate.ToShortDateString());
+                strcmd += string.Format(", {0}", work.OrderNo);
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ追加（複数）
+        /// <summary>
+        /// 発注者登録申請データ追加（複数）
+        /// </summary>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<CostomerRegist> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (CostomerRegist work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ更新
+        /// <summary>
+        /// 発注者登録申請データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, CostomerRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE CostomerRegist";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);
+                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
+                strcmd += string.Format(", DataMode = {0}", data.DataMode);
+                strcmd += string.Format(", SourceCotegory = {0}", data.SourceCotegory);
+                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);
+                strcmd += string.Format(", PetitionPeriod = {0}", data.PetitionPeriod);
+                strcmd += string.Format(", OrderFlg = {0}", data.OrderFlg);
+                strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", OrderersName1 = '{0}'", data.OrderersName1);
+                strcmd += string.Format(", OrderersName2 = '{0}'", data.OrderersName2);
+                strcmd += string.Format(", DepartmentName = '{0}'", data.DepartmentName);
+                strcmd += string.Format(", ChargePersonName = '{0}'", data.ChargePersonName);
+                strcmd += string.Format(", ZipCode = '{0}'", data.ZipCode);
+                strcmd += string.Format(", Address1 = '{0}'", data.Address1);
+                strcmd += string.Format(", Address2 = '{0}'", data.Address2);
+                strcmd += string.Format(", Address3 = '{0}'", data.Address3);
+                strcmd += string.Format(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
+                strcmd += string.Format(", Note = '{0}'", data.Note);
+                strcmd += string.Format(", OrderCotegory = {0}", data.OrderCotegory);
+                strcmd += string.Format(", OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", OrderNo = {0}", data.OrderNo);
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請データ削除
+        /// <summary>
+        /// 発注者登録申請データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">発注者登録申請データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM CostomerRegist", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目の更新を行う
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime CreateDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE CostomerRegist";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CreateDate:
+                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.SeqNo:
+                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DataMode:
+                        strcmd += string.Format(" DataMode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SourceCotegory:
+                        strcmd += string.Format(" SourceCotegory = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SourceCode:
+                        strcmd += string.Format(" SourceCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PetitionPeriod:
+                        strcmd += string.Format(" PetitionPeriod = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.OrderFlg:
+                        strcmd += string.Format(" OrderFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CorporateStatusName:
+                        strcmd += string.Format(" CorporateStatusName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CorporateStatusPoint:
+                        strcmd += string.Format(" CorporateStatusPoint = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.OrderersName1:
+                        strcmd += string.Format(" OrderersName1 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.OrderersName2:
+                        strcmd += string.Format(" OrderersName2 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.DepartmentName:
+                        strcmd += string.Format(" DepartmentName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.ChargePersonName:
+                        strcmd += string.Format(" ChargePersonName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.ZipCode:
+                        strcmd += string.Format(" ZipCode = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address1:
+                        strcmd += string.Format(" Address1 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address2:
+                        strcmd += string.Format(" Address2 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address3:
+                        strcmd += string.Format(" Address3 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.PhoneNumber:
+                        strcmd += string.Format(" PhoneNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.FaxNumber:
+                        strcmd += string.Format(" FaxNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.MailAddress:
+                        strcmd += string.Format(" MailAddress = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Note:
+                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.OrderCotegory:
+                        strcmd += string.Format(" OrderCotegory = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, CreateDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref CostomerRegist wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());
+
+                wrk.DataMode = int.Parse(objwrk[(int)TableColumn.DataMode].ToString());
+                wrk.SourceCotegory = int.Parse(objwrk[(int)TableColumn.SourceCotegory].ToString());
+                wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());
+                wrk.PetitionPeriod = int.Parse(objwrk[(int)TableColumn.PetitionPeriod].ToString());
+                wrk.OrderFlg = int.Parse(objwrk[(int)TableColumn.OrderFlg].ToString());
+                wrk.CorporateStatusName = objwrk[(int)TableColumn.CorporateStatusName].ToString();
+                wrk.CorporateStatusPoint = int.Parse(objwrk[(int)TableColumn.CorporateStatusPoint].ToString());
+
+                wrk.OrderersName1 = objwrk[(int)TableColumn.OrderersName1].ToString();
+                wrk.OrderersName2 = objwrk[(int)TableColumn.OrderersName2].ToString();
+                wrk.DepartmentName = objwrk[(int)TableColumn.DepartmentName].ToString();
+                wrk.ChargePersonName = objwrk[(int)TableColumn.ChargePersonName].ToString();
+                wrk.ZipCode = objwrk[(int)TableColumn.ZipCode].ToString();
+                wrk.Address1 = objwrk[(int)TableColumn.Address1].ToString();
+                wrk.Address2 = objwrk[(int)TableColumn.Address2].ToString();
+                wrk.Address3 = objwrk[(int)TableColumn.Address3].ToString();
+                wrk.PhoneNumber = objwrk[(int)TableColumn.PhoneNumber].ToString();
+                wrk.FaxNumber = objwrk[(int)TableColumn.FaxNumber].ToString();
+                wrk.MailAddress = objwrk[(int)TableColumn.MailAddress].ToString();
+                wrk.Note = objwrk[(int)TableColumn.Note].ToString();
+                wrk.OrderCotegory = int.Parse(objwrk[(int)TableColumn.OrderCotegory].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.OrderDate].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)TableColumn.OrderNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 登録申請コードの最大値を取得する
+        /// <summary>
+        /// 登録申請コードの最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxSeqNo(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM CostomerRegist" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                iRet = CommonMotions.cnvInt(objwrk[0]);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ItemCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (CaretaDate != DateTime.MinValue)
+                    strWork += string.Format(" AND CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", CaretaDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
